Class::DBI::SQL::Transformer(3)

NAME
Class::DBI::SQL::Transformer - Transform SQL

SYNOPSIS
  my $trans = $tclass->new($self, $sql, @args);
  return $self->SUPER::transform_sql($trans->sql => $trans->args);

DESCRIPTION
Class::DBI hooks into the transform_sql() method in Ima::DBI to provide its own SQL extensions. Class::DBI::SQL::Transformer does the heavy lifting of these transformations.

CONSTRUCTOR

  new
  my $trans = $tclass->new($self, $sql, @args);

Create a new transformer for the SQL and arguments that will be used with the given object (or class).

  sql / args
  my $sql = $trans->sql;
  my @args = $trans->args;

The transformed SQL and args.